
require 'facets/core/string/downcase'

class Symbol

  def downcase
    to_s.downcase.to_sym
  end

  def downcase?
    to_s.downcase?
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TCSymbol < Test::Unit::TestCase

    def test_downcase?
      assert( :tis.downcase? )
      assert( ! :Tis.downcase? )
    end

  end

=end
